Option (Java SE 15 & JDK 15)
Description: declaration: module: java.desktop, package: javax.swing.text.html, class: Option
Keywords: javax.swing.text.html.Option class

Module java.desktop
Package javax.swing.text.html

# Class Option

java.lang.Object
javax.swing.text.html.Option

All Implemented Interfaces:
  `Serializable`

    public class Option
    extends Object
    implements Serializable

Value for the ListModel used to represent <option> elements. This is the object installed as items of the DefaultComboBoxModel used to represent the <select> element.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans has been added to the `java.beans` package. Please see `XMLEncoder`.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Option​(AttributeSet attr)` | Creates a new Option object.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `AttributeSet` | `getAttributes()` | Fetch the attributes associated with this option.
  `String` | `getLabel()` | Fetch the label associated with the option.
  `String` | `getValue()` | Convenient method to return the string associated with the `value` attribute.
  `boolean` | `isSelected()` | Fetches the selection state associated with this option.
  `void` | `setLabel​(String label)` | Sets the label to be used for the option.
  `protected void` | `setSelection​(boolean state)` | Sets the selected state.
  `String` | `toString()` | String representation is the label.

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Option

    public Option​(AttributeSet attr)
    Creates a new Option object.
    Parameters:
      `attr` - the attributes associated with the option element. The attributes are copied to ensure they won't change.

- ## Method Details

  - ### setLabel

    public void setLabel​(String label)
    Sets the label to be used for the option.
    Parameters:
      `label` - a label.

  - ### getLabel

    public String getLabel()
    Fetch the label associated with the option.
    Returns:
      the label associated with the option.

  - ### getAttributes

    public AttributeSet getAttributes()
    Fetch the attributes associated with this option.
    Returns:
      the attributes associated with this option.

  - ### toString

    public String toString()
    String representation is the label.
    Overrides:
      `toString` in class `Object`
    Returns:
      a string representation of the object.

  - ### setSelection

    protected void setSelection​(boolean state)
    Sets the selected state.
    Parameters:
      `state` - a selection state

  - ### isSelected

    public boolean isSelected()
    Fetches the selection state associated with this option.
    Returns:
      the selection state.

  - ### getValue

    public String getValue()
    Convenient method to return the string associated with the `value` attribute. If the `value` has not been specified, the `label` will be returned.
    Returns:
      the string associated with the `value` attribute, or `label` if the value has been not specified.